> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orum.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Access Token

<Warning>The auth token is valid for one hour.</Warning>


## OpenAPI

````yaml api-reference/oas-with-internal-removed.yaml post /oauth/token
openapi: 3.0.1
info:
  title: Orum API
  description: Orum API.
  version: v2022-09-21
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: https://api-sandbox.orum.io
  - url: https://vault.api-sandbox.orum.io
security: []
paths:
  /oauth/token:
    post:
      tags:
        - Authentication
      summary: Request an access token
      operationId: post-oauth-token
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OauthTokenBody'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/OauthTokenBody'
        required: true
      responses:
        '200':
          description: 200 response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OauthTokenResponse'
        '400':
          description: invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: unauthorized request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: forbidden request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: too many requests.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: service unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        default:
          description: internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security: []
components:
  schemas:
    OauthTokenBody:
      type: object
      required:
        - client_id
        - client_secret
      properties:
        client_id:
          type: string
          description: ID returned when generating API Credentials.
          x-orum-error-missing:
            message: client_id is required
            code: missing_client_id
          x-orum-error-invalid:
            message: client_id must be a string
            code: invalid_client_id
            status: '400'
        client_secret:
          type: string
          description: Secret returned when generating API Credentials.
          x-orum-error-missing:
            message: client_secret is required
            code: missing_client_secret
          x-orum-error-invalid:
            message: client_secret must be a string
            code: invalid_client_secret
            status: '400'
    OauthTokenResponse:
      title: OauthTokenResponse
      type: object
      required:
        - access_token
        - token_type
        - expires_in
      properties:
        access_token:
          type: string
          description: >-
            Short-lived auth (access) token that you will pass in the
            Authorization header of all Deliver and Verify calls.
        token_type:
          type: string
          description: The type of token returned. This will always be "Bearer".
        expires_in:
          type: number
          description: The time in seconds until the token expires.
    ErrorResponse:
      type: object
      properties:
        error_code:
          type: string
        message:
          type: string
        details:
          type: object
          description: additional details about the error.
          nullable: true
      required:
        - error_code
        - message

````